#include <errno.h>
#include <stdio.h>
#include <stdlib.h>
#include <linux/kd.h>
#include <signal.h>
#include "evstack.h"
#include "parsearg.h"

void usage(char *name)
{ printf("usage : %s file to feed to stdout\n",name);
  exit(1);
}

int main(int argc, char *argv[])
{
	FILE *capfile;
	int i;
	char buffer[256];
	ggi_cmd_event *cmdev=(ggi_cmd_event *)buffer;
	DataTtyWriteChar *dtwc = cmdev->data;

	for(i=1;i<argc;i++)
	{ 
		if (*argv[i]!='-') continue;
		switch(argv[i][1])
		{ 
		  default :usage(argv[0]);break;
		}
	}
	
	if ((capfile=fopen(argv[1],"r"))!=NULL)
	{
		unsigned char buffer[512];
		int type;
		while(fread(buffer,1,1,capfile)&&*buffer!=0)
		{
			fread(buffer+1,*buffer-1,1,capfile);
			type=(((ggi_event *)buffer)->any.type&=0x7f);
			if (type!=evKeyPress&&type!=evKeyRelease&&type!=evKeyRepeat) continue;
/*			((ggi_event *)buffer)->key.sym=0;*/
			((ggi_event *)buffer)->any.origin=0x12345678;
			((ggi_event *)buffer)->any.target=0x10020002;
			fwrite(buffer,*buffer,1,stdout);
			fflush(stdout);

			usleep(50000);
		}
		fclose(capfile);
	}

	cmdev->size=sizeof(ggi_cmd_event)+5;
	cmdev->code=CmdTtyInWriteChar;
	cmdev->type=evCommand;
	dtwc->size=1;
	setbuf(stdin,NULL);
	
	while(fread(dtwc->data,1,1,stdin))
	{
		fwrite(buffer,*buffer,1,stdout);
		fflush(stdout);

	}

	return 0;
}
